Subject: Re: Single Packaged Shell?
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 16 Mar 2005 15:33:47 -0800

John Westbrook wrote:

> I have heard that you can compile perl code into c code, so I was
> wondering if anything similar exists for shell scripts or even cygwin
> itself. Ideally I would like to distribute an executable that uses a
> shell script as its entry point, but does not require a cygwin
> installation on the host.

This is off-topic, but you may be more interested in native ports of the
GNU tools, such as <http://unxutils.sourceforge.net/> or
<http://gnuwin32.sourceforge.net/>.  They are designed to be standalone,
and don't depend on a Cygwin environment.  Of course they might not work
quite the same as some functionality is likely missing.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/